DazzaJay

MTA with GTASA 1.01 (This is NOT a question)

Recommended Posts

Hi all.

I have noticed over time a lot of threads of people asking if they can run MTASA with San Andreas V1.01

and most of the time, it results in some random (Sometimes even Moderators) telling them to Fuck Off, and then shortly after the topic becomes locked.

Well, for all those people, i can gladly say that YES, MTASA WILL RUN WITH v1.01 of the game IF ceartian modifications are made.

And heres the walkthru:

For people wanting to Upgrade to V1.01

ok, its fairly simple, Make sure your v1.0 of san andreas is installed allready. Make sure MTA:SA is installed and runs.

Make a Backup of your ORIGINAL V1.0 GTA_SA.EXE file (Found in \Rockstar Games\GTA San Andreas\)

Then Install the V1.01 Update.

After the V1.01 Update is installed, replace the new .exe with the GTA_SA.EXE that you made a backup of.

Then load MTA and it will all work fine.

That is the method that i used to update to V1.01 to get rid of a LOT of the Sound Dropouts caused often by "Bounce Mines"

For people who allready have v1.01

You will need to get a Hold of an Original V1.0 GTA_SA.EXE (If you have patched up to 1.01 manually, then the gta_saexe that you want is on the CD/DVD) (If not, then you may need to Download one, because 90% of the .exe's for V1.0 that you can download are No-CD cracks for the game, i will not tell you where to find one.)

Once you have replaced the GTA_SA.EXE with a V1.0 GTA_SA.EXE you should be able to Install and Run MTASA without any problems.

I hope this solves many peoples Questions about getting MTA to work with V1.01 of GTA:SA.

-Dan

Share this post


Link to post

But my method ISNT a downgrade, it keeps most of the V1.01 Fixes while allowing you to play MTA.

Share this post


Link to post
But my method ISNT a downgrade, it keeps most of the V1.01 Fixes while allowing you to play MTA.

I read your method ... but to me it's just the same (it's just overwriting 1.01 again to 1.0.

I'mma try it out sometime... would it work on a 2.0 "downgraded" sa?

Share this post


Link to post
But my method ISNT a downgrade, it keeps most of the V1.01 Fixes while allowing you to play MTA.

I read your method ... but to me it's just the same (it's just overwriting 1.01 again to 1.0.

I'mma try it out sometime... would it work on a 2.0 "downgraded" sa?

Basically cuz the patched fixes are mainly in the exe, when you put the 1.0 exe back you lose them

Share this post


Link to post
Added support for 720p and 1080i HDTV resolutions (may also do 1080p, not sure).

Version Number displayed on game title screen.

Issue fixed on machines where the OS has been updated (one OS installed over top of another) and has 2 registry keys that point to the users "My Documents" folder (the install incorrectly used to assume the Win2000 folder, now correctly uses the last installed OS folder) - users know this as "user account period bug".

Crash when entering advanced display options with only 32 meg of video ram (32 meg of video ram is not supported and will only allow use of 640x480 in 16 and 32 bit. At this resolution it is likely you will see the "Black Roads" LOD problem). It does NOT however disallow machines with 32 meg of video ram from running GRAND THEFT AUTO: San Andreas.

Crash when entering advanced display options on a dual monitor machine after :

starting game on primary monitor in maximum resolution, exiting, starting again in maximum resolution on secondary monitor. Secondary monitor maximum resolution had to be greater than maximum resolution of primary monitor.

Destroyed cars now are correct colour.

Dirty cars now able to get clean.

Numpad 5 key is now mappable when re-defining controls.

Issue on all machines where certain collisions caused parts of the audio system to crash (sound effects, cutscene audio

only radio keeps going) - users know this as "Rain / Thunderstorm bug".

Improvements to DVD streaming.

Audio problems in interior / exterior transitions and getting in / out of cars fixed.

Some fixes to ensure reverb is not present at certain save points.

Improvements to dance game timings.

Crash occurring when using "user radio files" while the frame limiter is disabled.

Share this post


Link to post
it results in some random (Sometimes even Moderators) telling them to Fuck Off, and then shortly after the topic becomes locked.

Uh what? Since when?

This 'fix' pretty much facilitates downgrading in a manner that we dont support. And yes, im pretty confident in saying that basically ALL of these fixes are in .exe, besides stuff like "Improvements to dance game timings. ", which is in SCM - and only affects single player. If you want to tweak the single player slightly by updating your scm, then this could be called a solution. Otherwise, i'm afraid to say that this doesnt seem all that useful.

Hopefully MTA will eventually support 1.01 due to its close similarities to 1.0. 2.00 is another story however.

I know you're just trying to help, but we do provide support for 1.01 and 2.00 users within the forums.

Share this post


Link to post

Well, i have noticed that a Lot of the fixes in 1.01 are working even with the exe switch, Exploded cars go dark, Sound Dropouts have stopped, and so on.

Share this post


Link to post
Well, i have noticed that a Lot of the fixes in 1.01 are working even with the exe switch

It's simply because the patched files are in the subdirectories for San Andreas already and not in the actual executable. The [.exe] file contains info about what version the game is - this is exactly what MTA only wants to know, and doesn't care if you patched the game or not. But Vice City is a different story as the fixes are located on the executable itself.

So you can easily upgrade San Andreas to v1.01. You don't have to use the downgrader, but rather grab the v1.0 executable. As for San Andreas v2.0 (Second Edition), it's possible that using a v1.0 exe can work. If it doesn't, then the executable is incompatible with the v2.0 files and so you will HAVE to use the downgrader!

Share this post


Link to post

Ans speaking of MTA and all kinds of GTA Patches....

What is DM like on 1.0 1.01 and 2.0?

can it run on all?

or will it be retarded like MTA:Race?

Share this post


Link to post

  • Recently Browsing   0 members

    No registered users viewing this page.